Payout agents
List all Payout Agents
List every payout agent in your application, newest first. A payout agent credential returns only its own agent. This list is not paginated.
List every payout agent in your application, newest first. A payout agent credential returns only its own agent. This list is not paginated.
AuthorizationBasic <token>
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/payout-agents"{ "has_more": true, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "payout_agent", "api_app_id": "ad6a2ad4-d593-4e3e-bfd5-50592ed119ca", "name": "string", "status": "active", "paused_at": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "currency": "usd", "available_balance": 0, "committed_balance": 0, "rules": { "max_payout_amount": 0, "recipient_restriction_enabled": true, "spending_caps": [ { "amount": 0, "window_seconds": 0, "used": 0, "remaining": 0 } ] } } ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}Create a Payment
Creates a transaction from a user or a payment customer to the app. User the `/users/{user_id}/payout-methods` route to get a user's stored payment methods.
Create a Payout Agent
Create a payout agent with an empty reserved balance. Fund it with an allocation and issue it a credential before it can send payouts.